---
title: "How-to Guides"
weight: 3
geekdocCollapseSection: true
---

# How-to Guides

Practical, goal-oriented guides for common Angreal tasks.

{{< hint type=tip >}}
**Looking for step-by-step learning?** Check out our [Tutorials](/angreal/tutorials) section.
{{< /hint >}}

## Task Management

- [Create a Task](/angreal/how-to-guides/create-a-task) - Define custom automation tasks
- [Add Arguments](/angreal/how-to-guides/add-arguments) - Make tasks configurable with command-line arguments
- [Create Task Groups](/angreal/how-to-guides/create-task-group) - Organize related tasks together

## Template Development

- [Include Jinja Templates](/angreal/how-to-guides/include-jinja-templates) - Use dynamic templates in your projects
- [Use Validation Rules](/angreal/how-to-guides/use-validation-rules) - Ensure template inputs are valid

## Integrations

- [Virtual Environments](/angreal/how-to-guides/work-with-virtual-environments) - Create and manage Python virtual environments

## Tips for Using How-to Guides

1. **Know your goal** - Each guide assumes you have a specific task in mind
2. **Prerequisites matter** - Make sure you meet the requirements listed at the start
3. **Adapt to your needs** - Code examples are starting points; modify them for your use case
4. **Check the reference** - For detailed API information, see the [Reference](/angreal/reference) section
